summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorDan Hipschman <dsh@linux.ucla.edu>2010-07-30 18:49:02 -0700
committerEric Blake <eblake@redhat.com>2010-08-09 08:52:12 -0600
commit24f1af88c79de353fb51ab4eecad99143c4e16fd (patch)
treeda30f5f114733e666a2a4dc2a316a5c77ee816a6 /tests
parentad31a59a370e29f38864a747045da10c82d6c912 (diff)
downloadcoreutils-24f1af88c79de353fb51ab4eecad99143c4e16fd.tar.xz
ls: fix a test failure that should have been skipped
* tests/ls/readdir-mountpoint-inode: Check to see if skip_test_ is called in a helper function via $() instead of mistakenly failing. * THANKS: Update.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ls/readdir-mountpoint-inode1
1 files changed, 1 insertions, 0 deletions
diff --git a/tests/ls/readdir-mountpoint-inode b/tests/ls/readdir-mountpoint-inode
index 2285e9225..63378b64c 100755
--- a/tests/ls/readdir-mountpoint-inode
+++ b/tests/ls/readdir-mountpoint-inode
@@ -64,6 +64,7 @@ inode_via_readdir()
for dir in $mount_points; do
readdir_inode=$(inode_via_readdir $dir)
+ test $? = 77 && continue
stat_inode=$(env stat --format=%i $dir)
# If stat fails or says the inode is 0, skip $dir.
case $stat_inode in 0|'') continue;; esac